@echo off
cls
echo DOS/4GW Protected Mode Run-time  Version 1.95
echo Copyright (c) Rational Systems, Inc. 1990-1993
echo.
echo Loading STEREOWORLD  Version 2.00
echo Copyright (c) Impact Software, 1994-1995
echo.
set DOS4G=quiet
set DOS4GVM=minmem#2048 maxmem#4096 swapmin#4096 virtualsize#4096 deleteswap swapname#C:\DOS4GVM.SWP
sterwrld.exe

:testcode
if errorlevel 103 goto progerr
if errorlevel 102 goto lunar
if errorlevel 101 goto escape
if errorlevel 1 goto progerr
goto finish

:escape
echo Loading ESCAPE.  
echo Please wait.
escape.exe
echo Returning from ESCAPE.
echo Please wait.
goto resume

:lunar
echo Loading LUNAR LANDER.  
echo Please wait.
lunar.exe
echo Returning from LUNAR LANDER.  
echo Please wait.

:resume
sterwrld.exe -resume
goto testcode

:progerr
echo. 
echo Error - please refer to the READ.ME file 
echo.

:finish

